<?php

declare(strict_types=1);

namespace Drupal\invoice_ninja\Plugin\Action;

use Drupal\invoice_ninja\SyncableClientInterface;
use Drupal\invoice_ninja\SyncableInterface;

/**
 * Sync a client entity.
 *
 * @Action(
 *   id = "invoice_ninja_sync_client",
 *   label = @Translation("Sync: client"),
 *   description = @Translation("Synchronizes a client entity with Invoice Ninja."),
 *   type = "entity"
 * )
 */
class SyncClient extends SyncBase {

  /**
   * {@inheritdoc}
   */
  protected function isCorrectType(SyncableInterface $object): bool {
    return $object instanceof SyncableClientInterface;
  }

  /**
   * {@inheritdoc}
   */
  public function execute(SyncableClientInterface $entity = NULL): void {
    if ($entity === NULL) {
      return;
    }
    $this->invoiceNinjaSynchronizer->syncClient($entity);
  }

}
