<?php

declare(strict_types=1);

namespace Drupal\invoice_ninja\Plugin\Action;

use Drupal\invoice_ninja\SyncableInterface;
use Drupal\invoice_ninja\SyncableInvoiceInterface;

/**
 * Sync a invoice entity.
 *
 * @Action(
 *   id = "invoice_ninja_sync_invoice",
 *   label = @Translation("Sync: Invoice"),
 *   description = @Translation("Synchronizes an invoice entity with Invoice Ninja."),
 *   type = "entity"
 * )
 */
class SyncInvoice extends SyncBase {

  /**
   * {@inheritdoc}
   */
  protected function isCorrectType(SyncableInterface $object): bool {
    return $object instanceof SyncableInvoiceInterface;
  }

  /**
   * {@inheritdoc}
   */
  public function execute(SyncableInvoiceInterface $entity = NULL): void {
    if ($entity === NULL) {
      return;
    }
    $this->invoiceNinjaSynchronizer->syncInvoice($entity);
  }

}
