<?php

declare(strict_types=1);

namespace Drupal\invoice_ninja\Plugin\Action;

use Drupal\invoice_ninja\SyncableInterface;
use Drupal\invoice_ninja\SyncableVatInterface;

/**
 * Sync a VAT entity.
 *
 * @Action(
 *   id = "invoice_ninja_sync_vat",
 *   label = @Translation("Sync: VAT"),
 *   description = @Translation("Synchronizes a VAT entity with Invoice Ninja."),
 *   type = "entity"
 * )
 */
class SyncVat extends SyncBase {

  /**
   * {@inheritdoc}
   */
  protected function isCorrectType(SyncableInterface $object): bool {
    return $object instanceof SyncableVatInterface;
  }

  /**
   * {@inheritdoc}
   */
  public function execute(SyncableVatInterface $entity = NULL): void {
    if ($entity === NULL) {
      return;
    }
    $this->invoiceNinjaSynchronizer->syncVat($entity);
  }

}
